Ubuntu 17.10 Ubuntu-Wayland session does not start (/usr/bin/Xwayland is missing)

Bug #1701822 reported by corrado venturini on 2017-07-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-session (Ubuntu)
Critical
Jeremy Bicha

Bug Description

I installed Ubuntu 17.10 from the ISO: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170626)
and the Ubuntu-Wayland session does not start because file /usr/bin/Xwayland is missing.
The same file exists on my installation from the ISO: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170620) where the Wayland session works fine.

corrado@corrado-art2:/usr/bin$ ls Xwayland -l
-rwxr-xr-x 1 root root 2295192 mag 10 12:03 Xwayland
corrado@corrado-art2:/usr/bin$

corrado@corrado-art2:/usr/bin$ inxi -SP
System: Host: corrado-art2 Kernel: 4.11.0-8-generic x86_64 (64 bit)
           Desktop: Gnome 3.24.2
           Distro: Ubuntu Artful Aardvark (development branch)
Partition: ID-1: / size: 32G used: 7.8G (27%) fs: ext4 dev: /dev/sda4
           ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
corrado@corrado-art2:/usr/bin$

corrado@corrado-art2:/media/corrado/p8-aa-0626/usr/bin$ ls Xw*
ls: cannot access 'Xw*': No such file or directory
corrado@corrado-art2:/media/corrado/p8-aa-0626/usr/bin$

Jul 1 15:47:24 corrado-art3 gnome-shell[1587]: Failed to spawn Xwayland: Failed to execute child process “/usr/bin/Xwayland” (No such file or directory)

other info from my installation:
corrado@corrado-art3:~/Documents$ ./inxi -Fxx
System: Host: corrado-art3 Kernel: 4.11.0-9-generic x86_64 (64 bit gcc: 6.3.0)
           Desktop: Gnome 3.24.2 (Gtk 3.22.15-0ubuntu2) dm: lightdm
           Distro: Ubuntu Artful Aardvark (development branch)
Machine: Device: desktop Mobo: Gigabyte model: H87M-D3H v: x.x UEFI: American Megatrends v: F3 date: 04/24/2013
CPU: Dual core Intel Core i3-4130 (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 13568
           clock speeds: min/max: 800/3400 MHz 1: 2466 MHz 2: 3389 MHz 3: 3054 MHz 4: 1633 MHz
Graphics: Card: Intel 4th Generation Core Processor Family Integrated Graphics Controller
           bus-ID: 00:02.0 chip-ID: 8086:041e
           Display Server: x11 (X.Org 1.19.3) drivers: modesetting (unloaded: fbdev,vesa)
           Resolution: 1680x1050@59.88hz
           OpenGL: renderer: Mesa DRI Intel Haswell version: 4.5 Mesa 17.1.2 (compat-v: 3.0) Direct Render: Yes
Audio: Card-1 Intel 8 Series/C220 Series High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0 chip-ID: 8086:8c20
           Card-2 Intel Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller
           driver: snd_hda_intel bus-ID: 00:03.0 chip-ID: 8086:0c0c
           Sound: Advanced Linux Sound Architecture v: k4.11.0-9-generic
Network: Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 02:00.0 chip-ID: 10ec:8168
           IF: enp2s0 state: up speed: 100 Mbps duplex: full mac: 94:de:80:7e:90:a7
Drives: HDD Total Size: 1000.2GB (6.2% used)
           ID-1: /dev/sda model: ST1000DM003 size: 1000.2GB serial: Z1D6YBFR
Partition: ID-1: / size: 32G used: 6.0G (21%) fs: ext4 dev: /dev/sda8
           ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
RAID: System: supported: N/A
           No RAID devices: /proc/mdstat, md_mod kernel module present
           Unused Devices: none
Sensors: System Temperatures: cpu: 29.8C mobo: 27.8C
           Fan Speeds (in rpm): cpu: N/A
Info: Processes: 225 Uptime: 24 min Memory: 904.3/7861.1MB Init: systemd v: 233 runlevel: 5 Gcc sys: N/A
           Client: Shell (bash 4.4.121 running in gnome-terminal-) inxi: 2.3.22
corrado@corrado-art3:~/Documents$

Jeremy Bicha (jbicha) wrote :

Thank you for reporting this bug and helping to make Ubuntu better!

Changed in gnome-shell (Ubuntu):
status: New → Fix Committed

Bypass applied: copied /usr/bin/Xwayland from the old install. It works fine.

Jeremy Bicha (jbicha) wrote :

corrado, I recommend installing xwayland instead.

xwayland has been installed with the today updates. Thanks.

Start-Date: 2017-07-02 07:24:12
Commandline: aptdaemon role='role-commit-packages' sender=':1.1425'
Install: xwayland:amd64 (2:1.19.3-1ubuntu2, automatic)
Upgrade: gnome-session-common:amd64 (3.24.1-0ubuntu6, 3.24.1-0ubuntu8), libapt-inst2.0:amd64

corrado@corrado-aa-0701:~$ apt policy xwayland*
xwayland:
  Installed: 2:1.19.3-1ubuntu2
  Candidate: 2:1.19.3-1ubuntu2
  Version table:
 *** 2:1.19.3-1ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu artful/universe amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-aa-0701:~$

Jeremy Bicha (jbicha) wrote :

corrado, please do not enable proposed updates during the development cycle.

https://askubuntu.com/questions/785414/is-it-ok-to-enable-proposed-updates-during-ubuntus-development-cycle

affects: gnome-shell (Ubuntu) → gnome-session (Ubuntu)
Changed in gnome-session (Ubuntu):
assignee: nobody → Jeremy Bicha (jbicha)
importance: Undecided → Critical
summary: - Ubuntu 17.10 Ubuntu-Wayland session does not start.
+ Ubuntu 17.10 Ubuntu-Wayland session does not start (/usr/bin/Xwayland is
+ missing)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-session - 3.24.1-0ubuntu8

---------------
gnome-session (3.24.1-0ubuntu8) artful; urgency=medium

  * Change ubuntu-session to Arch: any for new xwayland dependency

gnome-session (3.24.1-0ubuntu7) artful; urgency=medium

  * debian/control.in:
    - Have ubuntu-session depend on xwayland like gnome-session does
      Thanks corrado for the report! (LP: #1701822)
    - Have ubuntu-session and gnome-session depend on gnome-shell.
      Now that gnome-shell recommends instead of depends on gnome-session |
      ubuntu-session, there is no circular dependency so let's not diverge
      from Debian.

 -- Jeremy Bicha <email address hidden> Sat, 01 Jul 2017 14:35:17 -0400

Changed in gnome-session (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers